Skip to main content
`Ctrl`+`K`

# pandas.Series.combine_first

Series.combine_first(other)

  Update null elements with value in the same location in ‘other’.

  Combine two Series objects by filling null values in one Series with non-null values from the other Series. Result index will be the union of the two indexes.

  Parameters:
    other Series

      The value(s) to be used for filling null values.

  Returns:
    Series

      The result of combining the provided Series with the other object.

  See also

  `Series.combine`

    Perform element-wise operation on two Series using a given function.

  Examples

      >>> s1 = pd.Series([1, np.nan])
      >>> s2 = pd.Series([3, 4, 5])
      >>> s1.combine_first(s2)
      0    1.0
      1    4.0
      2    5.0
      dtype: float64

  Null values still persist if the location of that null value does not exist in other

      >>> s1 = pd.Series({'falcon': np.nan, 'eagle': 160.0})
      >>> s2 = pd.Series({'eagle': 200.0, 'duck': 30.0})
      >>> s1.combine_first(s2)
      duck       30.0
      eagle     160.0
      falcon      NaN
      dtype: float64